ECHO OFF
REM ----------------------------------------------------
REM
REM	@(#)gmtinstall.bat	1.27  07/01/99
REM
REM
REM	Copyright (c) 1991-1999 by P. Wessel and W. H. F. Smith
REM	See COPYING file for copying and redistribution conditions.
REM
REM	This program is free software; you can redistribute it and/or modify
REM	it under the terms of the GNU General Public License as published by
REM	the Free Software Foundation; version 2 of the License.
REM
REM	This program is distributed in the hope that it will be useful,
REM	but WITHOUT ANY WARRANTY; without even the implied warranty of
REM	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
REM	GNU General Public License for more details.
REM
REM	Contact info: www.soest.hawaii.edu/gmt
REM --------------------------------------------------------------------
REM This extremely lame DOS batch file will compile
REM the GMT 3.3 suite of programs under WIN32 using
REM Microsoft Visual C/c++ tools.  It will build GMT
REM using DLL libraries.  However, this does not quite
REM work yet, so we use static libraries still...
REM For those who want to work on this, look at the
REM commented out statemtns for LINK and DLL etc.
REM
REM Author: Paul Wessel, 29-JUN-1999
REM ----------------------------------------------------
REM
REM How to make and install GMT under DOS/Win95/98/NT:
REM
REM STEP a: Install netcdf 3.4 (compile it yourself or get
REM	    ready-to-go binaries from www.unidata.ucar.edu
REM	    If you DID NOT install it as a DLL you must
REM	    remove REM from the 2nd DLL line below:
SET DLL_NETCDF="/DDLL_NETCDF"
REM SET DLL_NETCDF=
REM
REM STEP b: Set the environment needed by MSC by running
REM	    C:\MSVC\DEVSTUDIO\VC\BIN\VCVARS32.BAT
REM	    (your installation directory may be different)
REM
REM STEP c: Modify GMTENV.BAT and run it (you may want to
REM	    do this from inside autoexec.bat)
REM
REM STEP d: Check/edit definitions of BINDIR and GMT_PATH.
REM	    Make sure BINDIR below points to a valid directory
REM	    where you want executables to be installed. Either
REM	    edit BINDIR or create the ..\bin directory.
REM	    GMT_PATH is where GMT expects to find the
REM	    subdir lib.  It is ONLY used if the user does not
REM	    set %GMTHOME%.
REM
REM STEP e: Remove REM from 2nd SI to use SI units.
REM
REM STEP f: If you DO NOT want to use Shewchuck's triangulation
REM	    routine, do the following:
REM	    1. Comment out the TR definition
REM	    2. Comment out the triangle.c compilation step
REM	    3. Remove reference to triangle.obj lin LIB call
REM ----------------------------------------------------
SET SI=
REM SET SI="/DSI"
REM SET TR=
SET TR="/DUSE_TRIANGLE"
SET BINDIR="..\bin"
SET GMT_PATH="\"C:\\gmt\""
REM ----------------------------------------------------
REM STOP HERE - THE REST IS AUTOMATIC
REM ----------------------------------------------------
REM set COPT=/DWIN32 %SI% /W3 /O2 /nologo %DLL_NETCDF% /DDLL_PSL /DDLL_GMT
set COPT=/DWIN32 %SI% /W3 /O2 /nologo %DLL_NETCDF%
set LOPT=/nologo /dll /incremental:no
REM set DLL=/FD /ML
set DLL=
ECHO STEP 1: Make PS library
REM ----------------------------------------------------
COPY gmt_math_win32.h gmt_math.h
CL %COPT% %TR% /c %DLL% /DDLL_EXPORT /DGMT_DEFAULT_PATH=%GMT_PATH% pslib.c
REM link %LOPT% /out:psl.dll /implib:psl.lib pslib.obj
lib /out:psl.lib pslib.obj
REM ----------------------------------------------------
ECHO STEP 2: Make GMT library
REM ----------------------------------------------------
CL %COPT% gmt_nan_init.c netcdf.lib
gmt_nan_init
del gmt_nan_init.obj
del gmt_nan_init.exe
CL %COPT% %TR% /c %DLL% /DDLL_EXPORT /DGMT_DEFAULT_PATH=%GMT_PATH% gmt_cdf.c gmt_customio.c gmt_grdio.c gmt_init.c
CL %COPT% %TR% /c %DLL% /DDLL_EXPORT /DGMT_DEFAULT_PATH=%GMT_PATH% gmt_io.c gmt_map.c gmt_plot.c gmt_shore.c gmt_stat.c
CL %COPT% %TR% /c %DLL% /DDLL_EXPORT /DGMT_DEFAULT_PATH=%GMT_PATH% gmt_support.c gmt_vector.c fourt.c
CL %COPT% /c /DNO_TIMER /DTRILIBRARY /DREDUCED /DCDT_ONLY triangle.c
REM link %LOPT% /nodefaultlib:libc.lib /out:gmt.dll /implib:gmt.lib gmt_*.obj fourt.obj triangle.obj psl.lib netcdf.lib
lib /out:gmt.lib gmt_*.obj fourt.obj triangle.obj
REM ----------------------------------------------------
ECHO STEP 3: Make GMT programs 
REM ----------------------------------------------------
set LIBS=gmt.lib psl.lib netcdf.lib
CL %COPT% blockmean.c %LIBS%
CL %COPT% blockmedian.c %LIBS%
CL %COPT% blockmode.c %LIBS%
CL %COPT% filter1d.c %LIBS%
CL %COPT% fitcircle.c %LIBS%
CL %COPT% gmtconvert.c %LIBS%
CL %COPT% gmtdefaults.c %LIBS%
CL %COPT% gmtmath.c %LIBS%
CL %COPT% gmtselect.c %LIBS%
CL %COPT% gmtset.c %LIBS%
CL %COPT% grdfilter.c %LIBS%
CL %COPT% grd2cpt.c %LIBS%
CL %COPT% grd2xyz.c %LIBS%
CL %COPT% grdclip.c %LIBS%
CL %COPT% grdcontour.c %LIBS%
CL %COPT% grdcut.c %LIBS%
CL %COPT% grdedit.c %LIBS%
CL %COPT% grdfft.c %LIBS%
CL %COPT% grdgradient.c %LIBS%
CL %COPT% grdhisteq.c %LIBS%
CL %COPT% grdimage.c %LIBS%
CL %COPT% grdinfo.c %LIBS%
CL %COPT% grdlandmask.c %LIBS%
CL %COPT% grdmask.c %LIBS%
CL %COPT% grdmath.c %LIBS%
CL %COPT% grdpaste.c %LIBS%
CL %COPT% grdproject.c %LIBS%
CL %COPT% grdreformat.c %LIBS%
CL %COPT% grdsample.c %LIBS%
CL %COPT% grdtrend.c %LIBS%
CL %COPT% grdtrack.c %LIBS%
CL %COPT% grdvector.c %LIBS%
CL %COPT% grdview.c %LIBS%
CL %COPT% grdvolume.c %LIBS%
CL %COPT% makecpt.c %LIBS%
CL %COPT% mapproject.c %LIBS%
CL %COPT% minmax.c %LIBS%
CL %COPT% nearneighbor.c %LIBS%
CL %COPT% project.c %LIBS%
CL %COPT% psbasemap.c %LIBS%
CL %COPT% psclip.c %LIBS%
CL %COPT% pscoast.c %LIBS%
CL %COPT% pscontour.c %LIBS%
CL %COPT% pshistogram.c %LIBS%
CL %COPT% psimage.c %LIBS%
CL %COPT% psmask.c %LIBS%
CL %COPT% psrose.c %LIBS%
CL %COPT% psscale.c %LIBS%
CL %COPT% pstext.c %LIBS%
CL %COPT% pswiggle.c %LIBS%
CL %COPT% psxy.c %LIBS%
CL %COPT% psxyz.c %LIBS%
CL %COPT% sample1d.c %LIBS%
CL %COPT% spectrum1d.c %LIBS%
CL %COPT% splitxyz.c %LIBS%
CL %COPT% surface.c %LIBS%
CL %COPT% trend1d.c %LIBS%
CL %COPT% trend2d.c %LIBS%
CL %COPT% triangulate.c %LIBS%
CL %COPT% xyz2grd.c %LIBS%
REM ----------------------------------------------------
ECHO STEP 4: Clean up and install executables and libraries
REM ----------------------------------------------------
DEL *.obj
MOVE *.lib %BINDIR%
MOVE *.dll %BINDIR%
MOVE *.exe %BINDIR%
