# $Id: macros.make.in,v 1.24 1997/09/18 20:56:04 davis Exp $

# The purpose of this file is to contain common make(1) macros.
# It should be processed by every execution of that utility.


# POSIX shell.  Shouldn't be necessary -- but is under IRIX 5.3.
SHELL		= sh


# Installation Directories:
drive			= h:
system		= win32
prefix		= $(DRIVE)/GMT/auxcodes/netCDF
exec_prefix	= $(prefix)
INCDIR		= $(exec_prefix)/include
LIBDIR		= $(exec_prefix)/$(SYSTEM)lib
BINDIR		= $(exec_prefix)/$(SYSTEM)bin
MANDIR		= $(prefix)/man


# Preprocessing:
M4		= m4
M4FLAGS		= -B10000
CPP		= gcc.exe -E
CPPFLAGS	= $(INCLUDES) $(DEFINES) -DNDEBUG
FPP		=
FPPFLAGS	=
CXXCPPFLAGS	= $(CPPFLAGS)


# Compilation:
CC		= gcc
CXX		= gcc
FC		= g77
CFLAGS		= -O -Zwin32
CXXFLAGS	= $(CFLAGS)
EXT   = .exe
FFLAGS		= -O
CC_MAKEDEPEND	= false
COMPILE.c	= $(CC) -c $(CFLAGS) $(CPPFLAGS)
COMPILE.cxx	= $(CXX) -c $(CXXFLAGS) $(CXXCPPFLAGS)
COMPILE.f	= $(FC) -c $(FFLAGS)
# The following command isn't available on some systems; therefore, the
# `.F.o' rule is relatively complicated.
COMPILE.F	= $(COMPILE.f) $(FPPFLAGS)


# Linking:
MATHLIB		= -lm
FLIBS		=
#LIBS		= -lsocket -lbsd
LIBS		= -lsocket
LINK.c		= $(CC) -o $@$(EXT) $(CFLAGS) $(LDFLAGS)
LINK.cxx	= $(CXX) -o $@$(EXT) $(CXXFLAGS) $(LDFLAGS)
LINK.F		= $(FC) -o $@$(EXT) $(FFLAGS) $(FLDFLAGS)
LINK.f		= $(FC) -o $@$(EXT) $(FFLAGS) $(FLDFLAGS)


# NetCDF files:
NCDUMP		= ncdump
NCGEN		= ncgen


# Manual pages:
WHATIS		= whatis
# The following macro should be empty on systems that don't
# allow users to create their own manual-page indexes.
MAKEWHATIS_CMD	=


# Misc. Utilities:
AR		= ar
ARFLAGS		= cru	# NB: SunOS 4 doesn't like `-' option prefix
RANLIB		= :
TARFLAGS	= -chf


# Dummy macros: used only as placeholders to silence GNU make.  They are
# redefined, as necessary, in subdirectory makefiles.
HEADER		= dummy_header
HEADER1		= dummy_header1
HEADER2		= dummy_header2
LIBRARY		= dummy_library.a
MANUAL		= dummy_manual
PROGRAM		= dummy_program


# Distribution macros:
FTPDIR		= /home/ftp/pub/$(PACKAGE)
FTPBINDIR	= /home/ftp/pub/binary/dummy_system
VERSION		= dummy_version
